
void _efl_cubic_bezier_interpolator_control_points_set(Eo *obj, Efl_Cubic_Bezier_Interpolator_Data *pd, Eina_Vector2 p1, Eina_Vector2 p2);

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_cubic_bezier_interpolator_control_points_set, EFL_FUNC_CALL(p1, p2), Eina_Vector2 p1, Eina_Vector2 p2);

void _efl_cubic_bezier_interpolator_control_points_get(const Eo *obj, Efl_Cubic_Bezier_Interpolator_Data *pd, Eina_Vector2 *p1, Eina_Vector2 *p2);

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV_CONST(efl_cubic_bezier_interpolator_control_points_get, EFL_FUNC_CALL(p1, p2), Eina_Vector2 *p1, Eina_Vector2 *p2);

Efl_Object *_efl_cubic_bezier_interpolator_efl_object_constructor(Eo *obj, Efl_Cubic_Bezier_Interpolator_Data *pd);


double _efl_cubic_bezier_interpolator_efl_interpolator_interpolate(Eo *obj, Efl_Cubic_Bezier_Interpolator_Data *pd, double progress);


static Eina_Bool
_efl_cubic_bezier_interpolator_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_CUBIC_BEZIER_INTERPOLATOR_EXTRA_OPS
#define EFL_CUBIC_BEZIER_INTERPOLATOR_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_cubic_bezier_interpolator_control_points_set, _efl_cubic_bezier_interpolator_control_points_set),
      EFL_OBJECT_OP_FUNC(efl_cubic_bezier_interpolator_control_points_get, _efl_cubic_bezier_interpolator_control_points_get),
      EFL_OBJECT_OP_FUNC(efl_constructor, _efl_cubic_bezier_interpolator_efl_object_constructor),
      EFL_OBJECT_OP_FUNC(efl_interpolator_interpolate, _efl_cubic_bezier_interpolator_efl_interpolator_interpolate),
      EFL_CUBIC_BEZIER_INTERPOLATOR_EXTRA_OPS
   );
   opsp = &ops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_cubic_bezier_interpolator_class_desc = {
   EO_VERSION,
   "Efl.Cubic_Bezier_Interpolator",
   EFL_CLASS_TYPE_REGULAR,
   sizeof(Efl_Cubic_Bezier_Interpolator_Data),
   _efl_cubic_bezier_interpolator_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_cubic_bezier_interpolator_class_get, &_efl_cubic_bezier_interpolator_class_desc, EFL_OBJECT_CLASS, EFL_INTERPOLATOR_INTERFACE, NULL);
